/*****
 *   REG_INFO (index, address, size, type, basevalue, flag, cmdid, bufferindex)
 */

REG_INFO(REG_UMODE,                     (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].uMode),                4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_NULL, MODE_INDEX, "REG_UMODE")
REG_INFO(REG_UCOLOR,                    (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.uColor),        4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_NULL, -1, "REG_UCOLOR")
REG_INFO(REG_UFLAGS,                    (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.uFlags),        4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_NULL,  FLAG_INDEX, "REG_UFLAGS")
REG_INFO(REG_USTATUS,                   (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].uStatus),              4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_NULL, STATUS_INDEX, "REG_USTATUS")
REG_INFO(REG_UQUALITY,                  (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.bQ),            4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_NULL, EQUALITY_INDEX, "REG_UQUALITY")
REG_INFO(REG_USHOWSIZE,                 (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.bShowSize),     4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_CSHOWSIZE, CSHOWSIZE_INDEX, "REG_USHOWSIZE")
REG_INFO(REG_UENCODERSPEED,             (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.bEncoderSpeed), 4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_CSPEED, EENSPEED_INDEX, "REG_UENCODERSPEED")
REG_INFO(REG_ULPFS,                     (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].LivePathFrameSize),    4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_LPFS, LFRAMESIZE_INDEX, "REG_ULPFS")
REG_INFO(REG_ULPBB,                     (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].LivePathBufBAR),       4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|INDIRECT,  PID_LPBB, LBUFBAR_INDEX, "REG_ULPBB")
REG_INFO(REG_ULPS,                      (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].LivePathScale),        4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|DIRECT,   PID_NULL, LPATHSCALE_INDEX, "REG_ULPS")
REG_INFO(REG_UMOSAIC,                   (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.uMosaicArea),   4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|DIRECT,  PID_NULL, -1, "REG_UMOSAIC")
REG_INFO(REG_UMOTIONPARAM,              (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.uMotionParam),  4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|DIRECT,  PID_NULL, -1, "REG_UMOTIONPARAM")
REG_INFO(REG_UMASKAREA,                 (unsigned long)&(((struct tag_SPCT6100_ENV *)(SPCT6100_ENV_ADDR))->chanSet[0].tParam.tMaskArea[0]),  4, BASE,   sizeof(SPCT6100_CCI_CHAN_SET),  ACTIVE|DIRECT,  PID_NULL, -1, "REG_UMASKAREA")
REG_INFO(REG_L_RING,                    0x1E003F40,                                                                                          4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_L_RING")
REG_INFO(REG_C_FLAGS,                   0x1E003C1C,                                                                                          4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_C_FLAGS")
REG_INFO(REG_C_CHANID,                  0x1E003C18,                                                                                          4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_C_CHANID")
REG_INFO(REG_STAT_VIC1,                 0x1E122000,                                                                                          4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_STAT_VIC1")
REG_INFO(REG_STAT_VIC2,                 0x1E123000,                                                                                          4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_STAT_VIC2")
REG_INFO(REG_CLEAR_VIC1,                PACDMP_EVB_VPU+0x1000+PACDMP_VPE_INT_EN,                                                             4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_CLEAR_VIC1")
REG_INFO(REG_CLEAR_VIC2,                PACDMP_EVB_SYSDMA+PACDMP_SYSDMA_CHAN_CLR,                                                            4, BASE,   0x0020,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_CLEAR_VIC2")
REG_INFO(REG_BUFPTR,                    PACDMP_EVB_VPU+0x1000+SPCT6100_VP_DPEBUFPTR,                                                         4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_BUFPTR")
REG_INFO(REG_BUFUSG,                    PACDMP_EVB_VPU+0x1000+SPCT6100_VP_DPEBUFUSG,                                                         4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_BUFUSG")
REG_INFO(REG_FLIP,                      SPCT6100_ENV_ENCODEPATHFLIP0_ADDR,                                                                   4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_FLIP")
REG_INFO(REG_OSD_WINDOW0_COLOR,         PACDMP_EVB_VPU+0x1000*8+OSD_WINDOW_0_COLOR_REG,                                                      4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_WINDOW0_COLOR")
REG_INFO(REG_OSD_WINDOW1_COLOR,         PACDMP_EVB_VPU+0x1000*8+OSD_WINDOW_1_COLOR_REG,                                                      4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_WINDOW1_COLOR")
REG_INFO(REG_OSD_WINDOW1_SIZE,          PACDMP_EVB_VPU+0x1000*8+OSD_WINDOW_1_SIZE_REG,                                                       4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_WINDOW1_SIZE")
REG_INFO(REG_OSD_WINDOW1_POSITION,      PACDMP_EVB_VPU+0x1000*8+OSD_WINDOW_1_POSITION_REG,                                                   4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_WINDOW1_POSITION")
REG_INFO(REG_OSD_WINDOW1_FONT,          PACDMP_EVB_VPU+0x1000*8+OSD_WINDOW_1_FONT_REG,                                                       4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_WINDOW1_FONT")
REG_INFO(REG_OSD_ENABLE_CONTROL,        PACDMP_EVB_VPU+0x1000*8+OSD_ENABLE_CONTROL_REG,                                                      4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_ENABLE_CONTROL")
REG_INFO(REG_OSD_YMD_INT,               PACDMP_EVB_VPU+0x1000*8+OSD_YMD_INT,                                                                 4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_YMD_INT")
REG_INFO(REG_OSD_YMD_SETTING_REG,       PACDMP_EVB_VPU+0x1000*8+OSD_YMD_SETTING_REG,                                                         4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_YMD_SETTING_REG")
REG_INFO(REG_OSD_YMD_SETTING_MODE,      PACDMP_EVB_VPU+0x1000*8+OSD_YMD_SETTING_MODE,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_YMD_SETTING_MODE")
REG_INFO(REG_OSD_HMS_INT,               PACDMP_EVB_VPU+0x1000*8+OSD_HMS_INT,                                                                 4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_HMS_INT")
REG_INFO(REG_OSD_HMS_SETTING_REG,       PACDMP_EVB_VPU+0x1000*8+OSD_HMS_SETTING_REG,                                                         4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_HMS_SETTING_REG")
REG_INFO(REG_OSD_HMS_READBLOCK_COUNTER, PACDMP_EVB_VPU+0x1000*8+OSD_HMS_READBLOCK_COUNTER,                                                   4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_HMS_READBLOCK_COUNTER")
REG_INFO(REG_OSD_TIMER_ADJUSTMENT_REG,  PACDMP_EVB_VPU+0x1000*8+OSD_TIMER_ADJUSTMENT_REG,                                                    4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_TIMER_ADJUSTMENT_REG")
REG_INFO(REG_OSD_TIMER_CHANGE,          0x1E169008,                                                                                          4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_OSD_TIMER_CHANGE")

REG_INFO(REG_DSP_CBUSY,                 PACDMP_EVB_DSP_BAR+PACDMP_DSP_CBUSY,                                                                 4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_CBUSY")
REG_INFO(REG_DSP_ICFLUSH,               PACDMP_EVB_DSP_BAR+PACDMP_DSP_ICFLUSH,                                                               4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_ICFLUSH")
REG_INFO(REG_DSP_ICSA,                  PACDMP_EVB_DSP_BAR+PACDMP_DSP_ICSA,                                                                  4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_ICSA")
REG_INFO(REG_DSP_ICPS,                  PACDMP_EVB_DSP_BAR+PACDMP_DSP_ICPS,                                                                  4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_ICPS")
REG_INFO(REG_DSP_CPSA,                  PACDMP_EVB_DSP_BAR+PACDMP_DSP_CPSA,                                                                  4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_CPSA")
REG_INFO(REG_DSP_CPS,                   PACDMP_EVB_DSP_BAR+PACDMP_DSP_CPS,                                                                   4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_CPS")
REG_INFO(REG_DSP_ICS,                   PACDMP_EVB_DSP_BAR+PACDMP_DSP_ICS,                                                                   4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_ICS")
REG_INFO(REG_DSP_ICDONE,                PACDMP_EVB_DSP_BAR+PACDMP_DSP_ICDONE,                                                                4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP_ICDONE")
REG_INFO(REG_STOPBOARD_STEP1,           SPCT6100_ENV_ADDR+0x1FC,                                                                             4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_STOPBOARD_STEP1")
REG_INFO(REG_STOPBOARD_STEP2,           SPCT6100_ENV_ADDR+0x200,                                                                             4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_STOPBOARD_STEP2")
REG_INFO(REG_STOPBOARD_STEP3,           PACDMP_EVB_VPU+0x1000+0x40,                                                                          4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_STOPBOARD_STEP3")
REG_INFO(REG_STOPBOARD_STEP4,           PACDMP_EVB_VPU+0x1000+0x70,                                                                          4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_STOPBOARD_STEP4")
REG_INFO(REG_STOPBOARD_STEP5,           PACDMP_EVB_VPU+0x1000+0x14,                                                                          4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_STOPBOARD_STEP5")
REG_INFO(REG_STOPBOARD_STEP6,           PACDMP_EVB_SYS_CFG+0x4,                                                                              4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_STOPBOARD_STEP6")

REG_INFO(REG_INT_VIC1_ENABLE,           PACDMP_EVB_HST_VIC1+VIC_INT_ENABLE_CLEAR,                                                            4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_INT_VIC1_ENABLE")
REG_INFO(REG_INT_VIC2_ENABLE,           PACDMP_EVB_HST_VIC2+VIC_INT_ENABLE_CLEAR,                                                            4, NORMAL, 0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_INT_VIC2_ENABLE")

REG_INFO(REG_AV_RESERVED0,              0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_RESERVED0")
REG_INFO(REG_AV_FLAGS,                  0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_FLAGS")
REG_INFO(REG_AV_TOTALSIZE,              0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_AUDIOOFF")
REG_INFO(REG_AV_AUDIOOFF,               0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_AUDIOOFF")
REG_INFO(REG_AV_AUDIOLEN,               0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_AUDIOLEN")
REG_INFO(REG_AV_VIDEOOFF,               0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_VIDEOOFF")
REG_INFO(REG_AV_VIDEOLEN,               0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_VIDEOLEN")
REG_INFO(REG_AV_MASKSTATE0,             0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_MASKSTATE0")
REG_INFO(REG_AV_MASKSTATE1,             0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_MASKSTATE1")
REG_INFO(REG_AV_MASKSTATE2,             0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_MASKSTATE2")
REG_INFO(REG_AV_MASKSTATE3,             0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_MASKSTATE3")
REG_INFO(REG_AV_MASKSTATE4,             0,                                                                                                   4, TWIN,   0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_AV_MASKSTATE4")

REG_INFO(REG_VPE_DPE,                   PACDMP_EVB_VPU+0x1000+SPCT6100_VP_DPECTRL,                                                           4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_DPE")
REG_INFO(REG_VPE_LIVEBASE,              PACDMP_EVB_VPU+0x1000+SPCT6100_VP_DPELIVBASE,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_LIVEBASE")
REG_INFO(REG_VPE_FTHRESHOLD,            PACDMP_EVB_VPU+0x1000+SPCT6100_VP_FTHRESHOLD,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_FTHRESHOLD")
REG_INFO(REG_VPE_LTHRESHOLD,            PACDMP_EVB_VPU+0x1000+SPCT6100_VP_LTHRESHOLD,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_LTHRESHOLD")
REG_INFO(REG_VPE_CTHRESHOLD,            PACDMP_EVB_VPU+0x1000+SPCT6100_VP_CTHRESHOLD,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_CTHRESHOLD")
REG_INFO(REG_VPE_GTHRESHOLD,            PACDMP_EVB_VPU+0x1000+SPCT6100_VP_GTHRESHOLD,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_GTHRESHOLD")
REG_INFO(REG_VPE_DTHRESHOLD,            PACDMP_EVB_VPU+0x1000+SPCT6100_VP_DTHRESHOLD,                                                        4, BASE,   0x1000,                         ACTIVE|DIRECT,  PID_NULL, -1, "REG_VPE_DTHRESHOLD")

REG_INFO(REG_ENV_V,                     SPCT6100_ENV_ADDR,                                                                sizeof(SPCT6100_ENV), BLOCK,  0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_ENV_V")
REG_INFO(REG_DSP2HOST_V,                SPCT6100_DSP2HOST_ADDR,                                                           sizeof(CCI_DSP2HOST), BLOCK,  0,                              ACTIVE|DIRECT,  PID_NULL, -1, "REG_DSP2HOST_V")

REG_INFO(REG_CQ_BASE,   (SPCT6100_ENV_ADDR),     4,   NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_CQ_BASE")
REG_INFO(REG_CQ_PKTNUM, (SPCT6100_ENV_ADDR+4),     4,   NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_CQ_PKTNUM")
REG_INFO(REG_CQ_PKTLEN, (SPCT6100_ENV_ADDR+8),     4,   NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_CQ_PKTLEN")
REG_INFO(REG_DQ_BASE,   (SPCT6100_ENV_ADDR+12),     4,   NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_DQ_BASE")
REG_INFO(REG_DQ_PKTNUM, (SPCT6100_ENV_ADDR+16),     4,   NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_DQ_PKTNUM")
REG_INFO(REG_DQ_PKTLEN, (SPCT6100_ENV_ADDR+20),     4,   NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_DQ_PKTLEN")
REG_INFO(REG_FIRMWARE_STATUS, 0x1E050008, 4, NORMAL, 0, ACTIVE|DIRECT, PID_NULL, -1, "REG_FIRMWARE_STATUS")
#undef REG_INFO
