#!/bin/sh

ifs=$IFS
IFS=

WRITEBLOCK=0

rm -rf spct6100.h

echo "///" >> spct6100.h
echo "///   SPCT6100 Application / Driver Interface Header File" >> spct6100.h
echo "///       Copyright Reserved by Sunplus Core Tech, Co.Ltd" >> spct6100.h
echo "///                       2009 - `date +%Y`" >> spct6100.h
echo "///" >> spct6100.h
echo "" >> spct6100.h
while read LINE
do

  if [ "$LINE" = "///EXPOSE" ]
  then
    echo "" >> spct6100.h
    WRITEBLOCK=1
  elif [ "$LINE" = "///ENDEXPOSE" ]
  then
    echo "" >> spct6100.h
    WRITEBLOCK=0
  else
	if [ $WRITEBLOCK -eq 1 ]
    then
      echo $LINE >> spct6100.h
    fi
  fi

done < spct6100-utils.h

while read LINE
do

  if [ "$LINE" = "///EXPOSE" ]
  then
    echo "" >> spct6100.h
    WRITEBLOCK=1
  elif [ "$LINE" = "///ENDEXPOSE" ]
  then
    echo "" >> spct6100.h
    WRITEBLOCK=0
  else
	if [ $WRITEBLOCK -eq 1 ]
    then
      echo $LINE >> spct6100.h
    fi
  fi

done < spct6100-packet-define.h

IFS=$ifs
