#ifndef _PACDMP_REGS2_H_
#define _PACDMP_REGS2_H_

#define PACDMP_EVB_SDRAM_BAR       0x00000000  // ~ 0x07FFFFFF, 128MB SDRAM
#define PACDMP_EVB_SYSDMA          0x1E110000  // ~ 0x1E11FFFF, System DMA controller
#define PACDMP_EVB_HST_VIC1        0x1E122000  // ~ 0x1E122FFF, Host VIC Lv1
#define PACDMP_EVB_TIMER0          0x1E168000  // ~ 0x1E168FFF, Timer 0
#define PACDMP_EVB_HST_VIC2        0x1E123000  // ~ 0x1E123FFF, Host VIC Lv2

#define VIC_INT_ENABLE             0x0010      // (RW) Enables the interrupt request lines
                                               //   For Write, 1: enable, 0: no-effect for bit0~bit31
#define VIC_INT_ENABLE_CLEAR       0x0014      // (-W) Clears bits in the INT_EN register,
                                               //   1: clear, 0: no-effect for bit0~bit31

#endif /* _PACDMP_REGS2_H_ */
